Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for HTTP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.appconn.webservice.http
Class HTTPWebClientApplication

    java.lang.Object
      com.stc.connector.appconn.webservice.http.HTTPWebClientApplication

    public class HTTPWebClientApplication

extends java.lang.Object

A Web Service implementation of the Java-based HTTPClientApplication class.

Version:
  $Revision: 1.8 $
See Also:
  `HTTPClientApplication`

Constructor Summary
`HTTPWebClientApplication()` Default constructor.
`HTTPWebClientApplication(HTTPClientApplication clientApp)` Constructor.

Method Summary
`HTTPWebResult` | `get(HTTPWebRequest webRequest)` Perform an HTTP GET operation.
`HTTPWebResult` | `post(HTTPWebRequest webRequest)` Perform an HTTP POST operation.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HTTPWebClientApplication

    public HTTPWebClientApplication()

  Default constructor.

### HTTPWebClientApplication

    public HTTPWebClientApplication(HTTPClientApplication clientApp)

  Constructor.

  Parameters:
    `clientApp` - An instance of HTTPApplicationConnection.

Method Detail

### get

    public HTTPWebResult get(HTTPWebRequest webRequest)
                      throws HTTPApplicationException

  Perform an HTTP GET operation.

  Parameters:
    `webRequest` - An instance of HTTPWebRequest.
  Returns:
    An instance of HTTPWebResult.
  Throws:
    `HTTPApplicationException`

### post

    public HTTPWebResult post(HTTPWebRequest webRequest)
                       throws HTTPApplicationException

  Perform an HTTP POST operation.

  Parameters:
    `webRequest` - An instance of HTTPWebRequest.
  Returns:
    An instance of HTTPWebResult.
  Throws:
    `HTTPApplicationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for HTTP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.